dev/chroot-test/action/test2
branchdebian
changeset 277 265b258904d2
parent 275 2e781d52f76e
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev/chroot-test/action/test2	Fri Dec 17 21:00:06 2010 +0000
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+cd
+
+cat > .ssh/config <<__END__
+Host chroothg
+Hostname localhost
+User hg
+Port 2222
+__END__
+
+echo "Pulling real project"
+hg clone ssh://chroothg/real/project
+cd project
+[ -e nested/content ]
+echo "and I'm adding something" >> content
+hg commit -u test2 -m "Added something to the file"
+echo "This push should succeed"
+hg push
+echo "And it did"
+echo "This should fail" >> denied/cantwrite
+hg commit -u test2 -m "WONTPUSH"
+# Fail only if this succeeds
+echo "About to do bad push"
+hg push && false
+echo "really checking now"
+hg outgoing --template '{desc}' | grep -q WONTPUSH
+echo "done"